Package com.pixelmed.convert

# Class TIFFTypes

java.lang.Object
com.pixelmed.convert.TIFFTypes

public class TIFFTypes extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ASCII`
`static final int`
`BYTE`
`static final int`
`DOUBLE`
`static final int`
`FLOAT`
`static final int`
`IFD`
`static final int`
`IFD8`
`static final int`
`LONG`
`static final int`
`LONG8`
`static final int`
`RATIONAL`
`static final int`
`SBYTE`
`static final int`
`SHORT`
`static final int`
`SLONG`
`static final int`
`SLONG8`
`static final int`
`SRATIONAL`
`static final int`
`SSHORT`
`static final int`
`UNDEFINED`

## Constructor Summary

Constructors
Constructor
Description
`TIFFTypes()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getDescription(int tagType)`
`static int`
`getNumberOfBytesPerValue(int tagType)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BYTE

public static final int BYTE

See Also:
  - Constant Field Values

### ASCII

public static final int ASCII

See Also:
  - Constant Field Values

### SHORT

public static final int SHORT

See Also:
  - Constant Field Values

### LONG

public static final int LONG

See Also:
  - Constant Field Values

### RATIONAL

public static final int RATIONAL

See Also:
  - Constant Field Values

### SBYTE

public static final int SBYTE

See Also:
  - Constant Field Values

### UNDEFINED

public static final int UNDEFINED

See Also:
  - Constant Field Values

### SSHORT

public static final int SSHORT

See Also:
  - Constant Field Values

### SLONG

public static final int SLONG

See Also:
  - Constant Field Values

### SRATIONAL

public static final int SRATIONAL

See Also:
  - Constant Field Values

### FLOAT

public static final int FLOAT

See Also:
  - Constant Field Values

### DOUBLE

public static final int DOUBLE

See Also:
  - Constant Field Values

### IFD

public static final int IFD

See Also:
  - Constant Field Values

### LONG8

public static final int LONG8

See Also:
  - Constant Field Values

### SLONG8

public static final int SLONG8

See Also:
  - Constant Field Values

### IFD8

public static final int IFD8

See Also:
  - Constant Field Values

## Constructor Details

### TIFFTypes

public TIFFTypes()

## Method Details

### getDescription

public static String getDescription(int tagType)

### getNumberOfBytesPerValue

public static int getNumberOfBytesPerValue(int tagType)